Package com.independentsoft.office.word

# Class Div

java.lang.Object
com.independentsoft.office.word.Div

public class Div extends Object
The Class Div.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Div()`
  Instantiates a new div.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Div`
  `clone()`
  `ExtendedBoolean`
  `getBlockQuote()`
  Gets the block quote.
  `ExtendedBoolean`
  `getBodyDiv()`
  Gets the body div.
  `BottomBorder`
  `getBottomBorder()`
  Gets the bottom border.
  `int`
  `getBottomMargin()`
  Gets the bottom margin.
  `List<Div>`
  `getChildren()`
  Gets the children.
  `long`
  `getID()`
  Gets the id.
  `LeftBorder`
  `getLeftBorder()`
  Gets the left border.
  `int`
  `getLeftMargin()`
  Gets the left margin.
  `RightBorder`
  `getRightBorder()`
  Gets the right border.
  `int`
  `getRightMargin()`
  Gets the right margin.
  `TopBorder`
  `getTopBorder()`
  Gets the top border.
  `int`
  `getTopMargin()`
  Gets the top margin.
  `void`
  `setBlockQuote​(ExtendedBoolean blockQuote)`
  Sets the block quote.
  `void`
  `setBodyDiv​(ExtendedBoolean bodyDiv)`
  Sets the body div.
  `void`
  `setBottomBorder​(BottomBorder bottomBorder)`
  Sets the bottom border.
  `void`
  `setBottomMargin​(int bottomMargin)`
  Sets the bottom margin.
  `void`
  `setID​(long id)`
  Sets the id.
  `void`
  `setLeftBorder​(LeftBorder leftBorder)`
  Sets the left border.
  `void`
  `setLeftMargin​(int leftMargin)`
  Sets the left margin.
  `void`
  `setRightBorder​(RightBorder rightBorder)`
  Sets the right border.
  `void`
  `setRightMargin​(int rightMargin)`
  Sets the right margin.
  `void`
  `setTopBorder​(TopBorder topBorder)`
  Sets the top border.
  `void`
  `setTopMargin​(int topMargin)`
  Sets the top margin.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Div

    public Div()
    Instantiates a new div.

- ## Method Details

  - ### clone

    public Div clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public long getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(long id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getBlockQuote

    public ExtendedBoolean getBlockQuote()
    Gets the block quote.
    Returns:
      the block quote

  - ### setBlockQuote

    public void setBlockQuote​(ExtendedBoolean blockQuote)
    Sets the block quote.
    Parameters:
      `blockQuote` - the new block quote

  - ### getBodyDiv

    public ExtendedBoolean getBodyDiv()
    Gets the body div.
    Returns:
      the body div

  - ### setBodyDiv

    public void setBodyDiv​(ExtendedBoolean bodyDiv)
    Sets the body div.
    Parameters:
      `bodyDiv` - the new body div

  - ### getBottomBorder

    public BottomBorder getBottomBorder()
    Gets the bottom border.
    Returns:
      the bottom border

  - ### setBottomBorder

    public void setBottomBorder​(BottomBorder bottomBorder)
    Sets the bottom border.
    Parameters:
      `bottomBorder` - the new bottom border

  - ### getTopBorder

    public TopBorder getTopBorder()
    Gets the top border.
    Returns:
      the top border

  - ### setTopBorder

    public void setTopBorder​(TopBorder topBorder)
    Sets the top border.
    Parameters:
      `topBorder` - the new top border

  - ### getLeftBorder

    public LeftBorder getLeftBorder()
    Gets the left border.
    Returns:
      the left border

  - ### setLeftBorder

    public void setLeftBorder​(LeftBorder leftBorder)
    Sets the left border.
    Parameters:
      `leftBorder` - the new left border

  - ### getRightBorder

    public RightBorder getRightBorder()
    Gets the right border.
    Returns:
      the right border

  - ### setRightBorder

    public void setRightBorder​(RightBorder rightBorder)
    Sets the right border.
    Parameters:
      `rightBorder` - the new right border

  - ### getLeftMargin

    public int getLeftMargin()
    Gets the left margin.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(int leftMargin)
    Sets the left margin.
    Parameters:
      `leftMargin` - the new left margin

  - ### getRightMargin

    public int getRightMargin()
    Gets the right margin.
    Returns:
      the right margin

  - ### setRightMargin

    public void setRightMargin​(int rightMargin)
    Sets the right margin.
    Parameters:
      `rightMargin` - the new right margin

  - ### getTopMargin

    public int getTopMargin()
    Gets the top margin.
    Returns:
      the top margin

  - ### setTopMargin

    public void setTopMargin​(int topMargin)
    Sets the top margin.
    Parameters:
      `topMargin` - the new top margin

  - ### getBottomMargin

    public int getBottomMargin()
    Gets the bottom margin.
    Returns:
      the bottom margin

  - ### setBottomMargin

    public void setBottomMargin​(int bottomMargin)
    Sets the bottom margin.
    Parameters:
      `bottomMargin` - the new bottom margin

  - ### getChildren

    public List<Div> getChildren()
    Gets the children.
    Returns:
      the children